Feature Manager zusammenklappen

Mit diesem Code kann man mit einem Makro den Feature Manager zusammenklappen. Das entspricht der Tastenkombination Shift+C.

<pre class="wp-block-syntaxhighlighter-code">Option Explicit
Sub main()
    Dim swApp As SldWorks.SldWorks
    Dim swModelDoc As ModelDoc2
    Dim swFeatMgr As FeatureManager
    Dim rootNode As TreeControlItem
   
    Set swApp = Application.SldWorks
    Set swModelDoc = swApp.ActiveDoc
    Set swFeatMgr = swModelDoc.FeatureManager
    Set rootNode = swFeatMgr.GetFeatureTreeRootItem2(swFeatMgrPaneBottom)
   
    If Not rootNode Is Nothing Then
        traverse_node rootNode
        'Die folgende Zeile öffnet den obersten Eintrag wieder. Ansonsten ist der Tree komplett zugeklappt.
        rootNode.Expanded = True
    End If
End Sub
Private Sub traverse_node(node As TreeControlItem)
    Dim childNode As TreeControlItem
    node.Expanded = False
    Set childNode = node.GetFirstChild
    While Not childNode Is Nothing
        traverse_node childNode
        Set childNode = childNode.GetNext
    Wend
End Sub</pre>
Code-Sprache: VB.NET (vbnet)

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert